--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_api.c	2015-08-19 07:25:01.265699515 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_api.c	2015-08-19 07:25:01.272297419 -0400
@@ -1498,7 +1498,7 @@
 
 		/* Start one second driver timer. */
 		if (ql_timer_timeout_id == NULL) {
-			ql_timer_ticks = drv_usectohz(1000000);
+			ql_timer_ticks = drv_sectohz(1);
 			ql_timer_timeout_id = timeout(ql_timer, (void *)0,
 			    ql_timer_ticks);
 		}
@@ -1973,7 +1973,7 @@
 		ha->flags |= ADAPTER_SUSPENDED;
 		while (ha->flags & ADAPTER_TIMER_BUSY && delay_cnt++ < 10) {
 			ADAPTER_STATE_UNLOCK(ha);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			ADAPTER_STATE_LOCK(ha);
 		}
 		if (ha->busy || ha->flags & ADAPTER_TIMER_BUSY) {
@@ -11869,7 +11869,7 @@
 	if (lock_needed == TRUE) {
 		/* Acquire mailbox register lock. */
 		MBX_REGISTER_LOCK(ha);
-		timer = (ha->mcp->timeout + 2) * drv_usectohz(1000000);
+		timer = drv_sectohz(ha->mcp->timeout + 2);
 
 		/* Check for mailbox available, if not wait for signal. */
 		while (ha->mailbox_flags & MBX_BUSY_FLG) {
@@ -15904,7 +15904,7 @@
 static int
 ql_suspend_adapter(ql_adapter_state_t *ha)
 {
-	clock_t timer = 32 * drv_usectohz(1000000);
+	clock_t timer = drv_sectohz(32);
 
 	QL_PRINT_3(CE_CONT, "(%d): started\n", ha->instance);
 
